<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="digital.laboratory.platform.entrustment.mapper.SampleStoreLogMapper">

  <resultMap id="sampleStoreLogMap" type="digital.laboratory.platform.entrustment.entity.SampleStoreLog">
    <id property="id" column="id"/>
    <result property="boxId" column="box_id"/>
    <result property="isIn" column="is_in"/>
    <result property="reason" column="reason"/>
    <result property="personId" column="person_id"/>
    <result property="fromBox" column="from_box"/>
    <result property="toBox" column="to_box"/>
    <result property="storeKeeper1" column="store_keeper1"/>
    <result property="storeKeeper2" column="store_keeper2"/>
    <result property="createTime" column="create_time"/>
    <result property="createBy" column="create_by"/>
    <result property="updateTime" column="update_time"/>
    <result property="updateBy" column="update_by"/>
  </resultMap>
</mapper>
